# ipe::PdfBool Class Reference
Ipe Base

The PDF bool object. More...

`#include <ipepdfparser.h>`

Inherits ipe::PdfObj.

List of all members.

## Public Member Functions

- PdfBool (bool val)
- virtual const PdfBool * boolean () const
- virtual void write (Stream &stream) const
- bool value () const

## Detailed Description

The PDF bool object.

## Constructor & Destructor Documentation

ipe::PdfBool::PdfBool | ( | bool | val | ) | `[inline, explicit]`

## Member Function Documentation

const PdfBool * PdfBool::boolean | ( |  | ) | const`[virtual]`

Return this object as PDF bool object.

Reimplemented from ipe::PdfObj.

void PdfBool::write | ( | Stream & | stream | ) | const`[virtual]`

Implements ipe::PdfObj.

bool ipe::PdfBool::value | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following files:

- ipepdfparser.h
- ipepdfparser.cpp